Subject: Re: [RFC PATCH 00/12] Merge common OpenFirmware device tree code

From: David Miller <[email-masked]>
Date: Wed, 07 Oct 2009 14:09:38 -0700 (PDT)

From: Chris Newport <[email-masked]>
Date: Wed, 7 Oct 2009 21:54:34 +0100 (BST)

> Sun4c has also been broken for a long time and sun4d has never worked
> properly. Is it time to also prune these ?.
> That would leave only Sun4m in the 32bit kernel, which still works and
> has plenty of ongoing user interest.

Chris don't over-exaggerate the state.

The truth is that the whole sparc32 port is in a state of mild
disrepair, and many of the issues apply to all the port rather than
just one family of systems.  I think someone suitably motivated
could get most of the bugs sorted out.

There is no reason to drop support for SS1 machines, we already fully
build the software device tree and use all of the generic OF
infrastructure in the Linux kernel on those systems.  It is not a road
block at all for the OF genericization work, if that's what you read
into wmb's email.